Forum Stats

  • 3,851,779 Users
  • 2,264,024 Discussions
  • 7,904,848 Comments

Discussions

Discoverer Plus 11g White Screening After Java 8 update 121

user12010879
user12010879 Member Posts: 76 Bronze Badge
edited Jun 30, 2017 10:48AM in Discoverer

I have upgraded Java on the client to 8 update 121 and now Discoverer isn't able to start up. The Java console doesn't start up and I get a blank white screen.

I have applied all of the patches that let Discoverer work with Java 8 such as 20219002.

This was working with Java 8 update 102.

Jayshree Sheth

Answers

  • Jasmine Pauline
    Jasmine Pauline Member Posts: 421 Silver Trophy
    edited Mar 28, 2017 12:22PM

    Discoverer 11.1.1.7.0 was certified against 1.8.0_25, so the issue may be the Update level of Java 8.

    Take a look at: https://community.oracle.com/thread/4014690

    HTH-

    Jasmine

  • user12010879
    user12010879 Member Posts: 76 Bronze Badge
    edited Apr 27, 2017 8:57AM

    I got Discoverer working with Java 8 update 121 however now when I try to launch Oracle Forms in EBS 12.1.3 I get the error "FRM-92101: There was a failure in the Forms Server during startup. This could happen due to invalid configuration. "

  • Dr. DBA
    Dr. DBA Member Posts: 67
    edited May 22, 2017 5:45PM

    Yes, invalid configuration on your EBS tier.

  • dbamatt
    dbamatt Member Posts: 2 Blue Ribbon
    edited Jun 28, 2017 11:14AM

    How were you able to get Discoverer 11g working with Java 8u121?  We are facing a similar issue.

    Thank you.

  • user12010879
    user12010879 Member Posts: 76 Bronze Badge
    edited Jun 30, 2017 7:28AM

    I had to apply a patch to the tech stack before it would work, I need to locate the name of the patch as I don't know it off the top of my head.

  • sbeck-Oracle
    sbeck-Oracle Member Posts: 116 Employee
    edited Jun 30, 2017 10:15AM

    Hi,

    Discoverer 11.1.1.7.0 is only certified for use with Java 8 with patch 20219002 applied.  However, this is ONLY when connecting to an EBS database (Note 233047.1).  If you encounter a patch conflict, open an SR with Oracle Support to find possible alternatives.

    Please also be cautious when updating your software (server and client). As Discoverer is at end of life, any software update (OS, browser, Java, WLS, EBS, etc.) released after June 2014 has not specifically been certified or tested and may cause issues for Discoverer.  Therefore, it is important to maintain a stable Discoverer environment for as long as it takes to move to OBIEE or other replacement (Note 2129633.1).


    Regards,
    Sharon

  • dbamatt
    dbamatt Member Posts: 2 Blue Ribbon
    edited Jun 30, 2017 10:48AM

    We were able to get it working...we actually had the patch installed that you referenced, but were still receiving manifest errors.  Applying patch 16837591 fixed the manifest errors and allowed the app to launch.

    Thanks.

    Jayshree Sheth
This discussion has been closed.